#
# DietConfig.cmake: CMake configuration file for external projects using Diet.
#

# --------------------------------------------------------------------------
# The DIET include path:
set(DIET_INCLUDE_DIR "/usr/include")

# --------------------------------------------------------------------------
# Version number
set(DIET_BUILD_VERSION   "2013/04/26-23:59:25")
set(DIET_VERSION         "2.8.0")
set(DIET_USE_ALT_BATCH   "ON")
set(DIET_USE_WORKFLOW    "ON")
set(DIET_WITH_STATISTICS "ON")
set(DIET_WITH_MULTI_MA   "ON")
set(DIET_USE_USERSCHED   "ON")
set(DIET_USE_CCS         "OFF")

# --------------------------------------------------------------------------
# Path to DIET libraries
if(CYGWIN AND BUILD_SHARED_LIBS)
  # When compiling with gcc in gycwin shared libraries are installed in
  # the bin directory
  set(DIET_LIBRARY_DIR "/usr/bin")
else(CYGWIN AND BUILD_SHARED_LIBS)
  set(DIET_LIBRARY_DIR "/usr/lib")
endif(CYGWIN AND BUILD_SHARED_LIBS)
link_directories(${DIET_LIBRARY_DIR})
# The DIET libraries to link against
set(DIET_CLIENT_LIBRARIES DIET_client DIET_Dagda /usr/lib/libboost_regex.so;/usr/lib/libomniDynamic4.so;/usr/lib/libomniORB4.so;/usr/lib/libomnithread.so;/usr/lib/x86_64-linux-gnu/libxerces-c.so;/usr/lib/x86_64-linux-gnu/libxqilla.so)
set(DIET_SERVER_LIBRARIES DIET_SeD DIET_Dagda /usr/lib/libboost_regex.so;/usr/lib/libomniDynamic4.so;/usr/lib/libomniORB4.so;/usr/lib/libomnithread.so;/usr/lib/x86_64-linux-gnu/libxerces-c.so;/usr/lib/x86_64-linux-gnu/libxqilla.so)
set(DIET_ADMIN_LIBRARIES DIET_admin DIET_SeD DIET_Dagda /usr/lib/libboost_regex.so;/usr/lib/libomniDynamic4.so;/usr/lib/libomniORB4.so;/usr/lib/libomnithread.so;/usr/lib/x86_64-linux-gnu/libxerces-c.so;/usr/lib/x86_64-linux-gnu/libxqilla.so)

if(DIET_USE_ALT_BATCH)
  add_definitions(-DHAVE_ALT_BATCH)
endif(DIET_USE_ALT_BATCH)
if(DIET_USE_WORKFLOW)
  add_definitions(-DHAVE_WORKFLOW)
endif(DIET_USE_WORKFLOW)

